QGIS Application - Bug report #21774
qgis master codeversion 037a8283fa start with python error
2019-04-04 11:19 PM - Gerhard Spieles

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:3.7(master) Regression?: No
Operating System: win10 Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 29589

Description

() Python-Fehler

Fehler bei der Ausfiihrung folgenden Codes:
ggis.utils.updatefvailaklePlugins()

Traceback (most recent call last):
File ™", line 1, in
BuntimeError: lost sys.stdout

Python-Version:
3.7.0 (v2.7.0: 1bfcc5093, Jun 27 2018, 04:59:51) [MSC v. 1914 64 bit (AMDS4)]

QGIS-Version:
3.7.0-Master 'Master', 037a8283fa

Python-Pfad:

[C:/OSGECY~1fapps qois-dev/. foython', 'C: fUsers/Spieles (AppData Roaming /QGISQGIS 3 \profiles\\default/python', 'C: Users fSpielesf
AppData/Roaming /QGI5/QGIS 3\ \profiles\\default/python/pluging’, 'C:/OSGECQ4~ 1 apps/qgis-dev/. jpython/plugins’, 'C: \WOSGeodWa4 \hin',
\python37.zip’, 'C:\\OSGEC4~1\\apps\\Python37Y\DLLs', 'C:\WOSGEO4~1\\apps!\Python37\ib', 'C:\\05Geo4na4ibin', 'C: \WOSGED4~1Y\appst
\Python37, 'C:\\OSGEQ4~1\\apps\\Python37\ib\\site-packages', 'Ci/Users/Spieles fAppData/Roaming /QGIS/QGIS 3V profiles!\defaultpython]

Sc_h_ligﬁglj

Associated revisions

Revision eabf56bf - 2019-04-05 01:15 AM - Jiirgen Fischer

fix #21774

Revision 3d7¢c711d - 2019-04-17 10:30 PM - Jiirgen Fischer
fix #21872 (refs #21774; partly reverts e57d1e06f0 and 507e327c0c)
src/python/qgspythonutilsimpl.cpp:596 produces "lost sys.stdout" when

qgis.utils.updateAvailablePlugins() returns.

History

#1 - 2019-04-05 12:35 AM - Jiirgen Fischer
- Description updated

#2 - 2019-04-05 01:29 AM - Jiirgen Fischer

2025-04-26
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|eabf56bfb3cbaf859adebe059f62bffc112fe481.
